## @file
##
## $Id: makefile.am 7 2010-03-01 14:55:44Z marc $
##
##       1         2         3         4         5         6         7         8
## 45678901234567890123456789012345678901234567890123456789012345678901234567890

ALL_SRC = ${top_srcdir}/src/*.[ch]xx
# ${top_srcdir}/src/*.doc

DIRS = html
#latex

all: ${DIRS}

.PHONY: doc clean-local distclean-local dist-hool install-data-hook \
        uninstall-hook

deps = ${top_srcdir}/COPYING ${top_srcdir}/README		 \
       ${top_srcdir}/INSTALL ${top_srcdir}/NEWS ${top_srcdir}/ChangeLog

html: ${ALL_SRC} doxyfile ${deps}
	doxygen doxyfile
if PEDANTIC
	test \! -s doxygen.errors
endif
#	cd latex && make
#	mv latex/refman.pdf @PACKAGENAME@-@MAJOR@.@MINOR@.@LEAST@.pdf

CLEANFILES = doxygen.errors @PACKAGENAME@-@MAJOR@.@MINOR@.@LEAST@.pdf
DISTCLEANFILES = @PACKAGENAME@.doxytag
MAINTAINERCLEANFILES = makefile.in

distclean-local:
	- rm -r html latex

dist-hook: html
#	cp -r html latex ${distdir}/

install-data-hook:
	test -d $(DESTDIR)${docdir} || mkdir -p $(DESTDIR)${docdir}
	chmod -R u+w $(DESTDIR)${docdir}
	cp -r html $(DESTDIR)${docdir}/

uninstall-hook:
	-chmod -R u+w $(DESTDIR)${docdir}
	-rm -rf $(DESTDIR)${docdir}/*
